Gisaf - Feature #4161

Wells can be dry
23/06/2017 11:53 - Philippe May

Status: Closed Start date: 23/06/2017
Priority: Normal Due date:

Assignee: Giulio Di Anastasio % Done: 100%
Category: Estimated time: 16.00 hours
Target version: Spent time: 16.00 hours
Description

Change the DB: wells can be dry (add a boolean field)
In the web interface, add a checkbox to well level submission form
Add a way to import "dry" measurement from the CSV/Excel file

Associated revisions

Revision f5¢68617 - 23/06/2017 11:56 - Philippe May
Refs #4161: WUI: add a checkbox for dry wells

Revision fee7d307 - 26/06/2017 15:53 - Christian Goni
Refs #4161: add dry column to wells

Revision c4610923 - 27/06/2017 16:44 - Christian Goni

Refs #4161: adding dry reading from the xIsx. When the value is different to a number or None then the dry value wil Ibe set to True.

Revision 2db8ce46 - 27/06/2017 16:53 - Christian Goni

Refs #4161: Fixing login error when login in dev mode.

- Giving app.config['SECURITY_PASSWORD_SALT]="
- installing the module berypt

- creating the file requirements-dev.txt

Revision 0ac63f9e - 28/06/2017 12:17 - Christian Goni
Refs #4161: Commiting the migration folder

Revision 4718b08d - 28/06/2017 12:19 - Christian Goni
Refs #4161: Commiting the migration folder

Revision 50f01b82 - 29/06/2017 16:26 - Philippe May
Refs #4161: add red bars for dry wells in the graph

History

#1 - 23/06/2017 12:01 - Philippe May
- Assignee changed from Philippe May to Christian Goni

Web Ul done. Up to you Christian for the server side.

Emulate the HTTP request, with "dry" attribute in the POST request:

curl 'http://localhost:4200/api/well_level' —--data-binary '{"time":"2017-06-23T06:15:06.3462","level":null,"dr
y":false, "well":2}"'
#2 - 23/06/2017 17:01 - Christian Goni
Philippe May wrote:

Change the DB: wells can be dry (add a boolean field)

>> Done by Philippe and Christian

In the web interface, add a checkbox to well level submission form

>> Done by Philippe

Add a way to import "dry" measurement from the CSV/Excel file

#3 - 26/06/2017 16:18 - Philippe May

Example of Excel file for well levels can be found in the "basket": see files with the "well_level" type at
http://water.auroville.org.in/admin/dataimportbasketadmin/

#4 - 27/06/2017 17:04 - Christian Goni
- Estimated time set to 16.00 h
- % Done changed from 0 to 100

Philippe May wrote:
Change the DB: wells can be dry (add a boolean field)

In the web interface, add a checkbox to well level submission form
Add a way to import "dry" measurement from the CSV/Excel file

Christian wrote:
Changes made in the database, model, migration feature, reading the CSV/Excel file dry value, freezing the requirements with the version

number of each module.
unable to commit and push the last changes. | will do it as soon as it will be working again

06/07/2025 2/3


http://water.auroville.org.in/admin/dataimportbasketadmin/

#5 - 01/07/2017 00:21 - Philippe May
- Assignee changed from Christian Goni to Giulio Di Anastasio

- Status changed from New to Feedback

Put in production.
Giulio, assigning to you for validation, we'll discuss about it when you're back.

#6 - 31/08/2017 16:28 - Philippe May

As discussed in Monday's meeting, this is actually related to the depth of the well: when we know this information, we'll be able to set the water level
equal to the depth -> dry.

#7 - 26/05/2020 14:23 - Giulio Di Anastasio
- Status changed from Feedback to Closed
